- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Class List
- Class Members

# axutil_error Struct Reference
[error]

`#include <axutil_error.h>`

List of all members.

## Public Attributes
axutil_allocator_t * | allocator
int | error_number
int | status_code
axis2_char_t * | message

## Detailed Description

Axutil error struct. Error holds the last error number, the status code as well as the last error message.

## Member Data Documentation

axutil_allocator_t* axutil_error::allocator

Memory allocator associated with the error struct. It is this allocator that would be used to allocate memory for the error struct instance in create method.

int axutil_error::error_number

Last error number.

int axutil_error::status_code

Last status code.

axis2_char_t* axutil_error::message

Error message. This could be set to a custom message to be returned, instead of standard errors set in the error messages array by the axutil_error_init function call.

The documentation for this struct was generated from the following file:

- axutil_error.h